<?php
	
	/**
 * Plugin Name: Skyfoto.cz
 * Plugin URI: https://skyfotocz
 * Description: CRM pro fotografy - správa zakázek, klientů, financí a náhledů.
 * Version: 1.2
 * Author: Michal Šviga
 * Author URI: http://www.michalsviga.cz
 * shortcode pro events
 * 	Integrace Skyfoto do wordpress
 *	
*/


// menu 
function skyfoto_display_main(){
	echo '<iframe src="https://skyfoto.cz?source=wp&server='.$_SERVER['SERVER_NAME'].'" style="width:100%;height:86vh;border:none; "></iframe>';	
}

function skyfoto_display_kalendar(){
	echo '<iframe src="https://skyfoto.cz/kalendar.php?source=wp&server='.$_SERVER['SERVER_NAME'].'" style="width:100%;height:86vh;border:none; "></iframe>';	
}

function skyfoto_display_zakazky(){
	echo '<iframe src="https://skyfoto.cz/zakazky.php?source=wp&server='.$_SERVER['SERVER_NAME'].'" style="width:100%;height:86vh;border:none; "></iframe>';	
}
function skyfoto_display_klienti(){
	echo '<iframe src="https://skyfoto.cz/klienti.php?source=wp&server='.$_SERVER['SERVER_NAME'].'" style="width:100%;height:86vh;border:none; "></iframe>';	
}
function skyfoto_display_finance(){
	echo '<iframe src="https://skyfoto.cz/finance.php?source=wp&server='.$_SERVER['SERVER_NAME'].'" style="width:100%;height:86vh;border:none; "></iframe>';	
}
function skyfoto_display_nastveni(){
	echo '<iframe src="https://skyfoto.cz/profil.php?source=wp&server='.$_SERVER['SERVER_NAME'].'" style="width:100%;height:86vh;border:none; "></iframe>';	
}

//manage_options

function skyfoto_register_top_level_menu(){
	add_menu_page(
		'Sky Foto',
		'Sky Foto',
		'edit_posts',
		'skyfotomymenu',
		'skyfoto_display_main',
		'',
		6
	);
}


 
function skyfoto_register_sub_menu() {
	add_submenu_page(
		'skyfotomymenu',
		'Kalendář',
		'Kalendář',
		'edit_posts',
		'skyfotokalendar',
		'skyfoto_display_kalendar'
	);
	
	add_submenu_page(
		'skyfotomymenu',
		'Zakázky',
		'Zakázky',
		'edit_posts',
		'skyfotozakazky',
		'skyfoto_display_zakazky'
	);

	add_submenu_page(
		'skyfotomymenu',
		'Klienti',
		'Klienti',
		'edit_posts',
		'skyfotoklienti',
		'skyfoto_display_klienti'
	);
	add_submenu_page(
		'skyfotomymenu',
		'Finance',
		'Finance',
		'edit_posts',
		'skyfotofinance',
		'skyfoto_display_finance'
	);
	add_submenu_page(
		'skyfotomymenu',
		'Nastavení',
		'Nastavení',
		'edit_posts',
		'skyfotonastaveni',
		'skyfoto_display_nastaveni'
	);
		
}

add_action( 'admin_menu', 'skyfoto_register_top_level_menu' );
add_action( 'admin_menu', 'skyfoto_register_sub_menu' );

//add_action('init', 'michalevents_init');

// *************** klientska zona

// stránka domain.com/?skyphotoclient=123
/*
add_filter( 'init', function( $template ) {
    if ( isset( $_GET['skyphotoclient'] ) ) {
        $skfotoklient = $_GET['skyphotoclient'];
        //include plugin_dir_path( __FILE__ ) . 'templates/invoice.php';
        //require( 'wp-blog-header.php' );
		//define('WP_USE_THEMES', true);
		get_header('home');
		//wp_head();
        echo $skfotoklient;
        
        get_footer();
        
        die;
    }
} );

add_filter( 'generate_rewrite_rules', function ( $wp_rewrite ){
    /*$wp_rewrite->rules = array_merge(
        ['skyphotoclient/(\d+)/?$' => 'index.php?skyphotoclient=$matches[1]'],
        $wp_rewrite->rules
    );
    
    add_rewrite_rule(
        'skyphotoclient/([0-9]+)/?$',
        'index.php?skyphotoclient=$matches[1]',
        'top' );
} );
*/

add_action( 'init', 'skyphoto_rewrites_init' );
function skyphoto_rewrites_init(){
    add_rewrite_rule(
        'skyphoto/([0-9]+)/?$',
        'index.php?skyphotoclient=$matches[1]',
        'top' );
}



add_filter( 'query_vars', function( $query_vars ){
    $query_vars[] = 'skyphotoclient';
    return $query_vars;
});


add_action( 'template_redirect', function(){
    $skyphotoclient = intval( get_query_var( 'skyphotoclient' ) );
    if ( $skyphotoclient ) {
        //include plugin_dir_path( __FILE__ ) . 'templates/download.php';
        //remove_action( 'admin_init', 'send_frame_options_header' );
        get_header();
        echo '<iframe src="//skyfoto.cz/k/?klient='.$skyphotoclient.'&source=wp&server='.$_SERVER['SERVER_NAME'].'" style="width:100%;height:86vh;border:none; ">V tomto prohlížeči to bohužel nefunguje</iframe>';
                
        //echo $skyphotoclient;
        get_footer();
        ?>
        <style>
	        .page-wrap .content-wrapper { padding-top: 0px; }
	    </style>    
        <?php
        die;
    }
} );











